> ## Documentation Index
> Fetch the complete documentation index at: https://docs.donnajames.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Chatbot

> Fetch single chatbot base on uuid

### Path

**uuid** `string` *required*

### Response

**created\_at** `string`

**meta** `object`

The meta of chatbot

**Chatbot meta**

**rate\_limit** `[number, number]`

**rate\_limit\_message** `string`

**show\_citation** `boolean`

**visibility** `string`

**modified\_at** `string`

**name** `string`

**uuid** `string`

```bash Curl
curl --location --request GET 'https://app.gpt-trainer.com/api/v1/chatbot/{chatbot-uuid}' \
--header 'Authorization: Bearer <token>'
```

```py Python
import requests

uuid = '<chatbot-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/chatbot/{uuid}'
headers = {
    'Authorization': 'Bearer <token>'
}

response = requests.get(url, headers=headers)

if response.status_code == 200:
    print("Request successful!")
    print(response.json())
else:
    print("Request failed with status code:", response.status_code)
    print(response.text)
```

```ts JavaScript
const axios = require('axios');

const uuid = '<chatbot-uuid>'
const url = `https://app.gpt-trainer.com/api/v1/chatbot/${uuid}`;
const headers = {
    'Authorization': 'Bearer <token>'
};

axios.get(url, { headers })
    .then(response => {
        console.log('Request successful!');
        console.log(response.data);
    })
    .catch(error => {
        console.error('Request failed:', error);
    });
```

```json Response
{
  "created_at": "string",
  "meta": {
    "rate_limit": [
      20,
      240
    ],
    "rate_limit_message": "Too many messages",
    "show_citations": false,
    "visibility": "private"
  },
  "modified_at": "string",
  "name": "string",
  "uuid": "string"
}

```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.